## xbae 4.60.4

=== debian/changelog ===
xbae (4.60.4-11) unstable; urgency=medium

  * Build with -std=gnu17. (Closes: #1098121)
  * Update S-V to 4.7.2.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 12 Apr 2025 15:18:21 -0700

xbae (4.60.4-10) unstable; urgency=medium

  * Update implicit-declaration.diff to cover an additional declaration
    error under GCC 14 in src/Methods.c.  (Closes: #1075652)
  * Update to Standards-Version 4.7.0.
  * Update Lintian overrides to current formatting.
  * Remove README.Debian - obsolete since adding example files in -8.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 05 Jul 2024 19:30:32 -0700

xbae (4.60.4-9) unstable; urgency=medium

  * Fix typo in Vcs lines.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 04 Jul 2020 16:26:24 -0700

xbae (4.60.4-8) unstable; urgency=medium

  * General housekeeping release.
  * Update to debhelper compat 13.  Update several dh_* helper files.
    Activate hardening flags in debian/rules.
  * Update to Standards-Version 4.5.0.
  * Set Rules-Requires-Root: no.
  * Create git repo on salsa for packaging; add Vcs-{Browser,Git} URLs.
  * Install additional examples in libxbae-dev.
  * New patch privacy-breach-logo.diff: remove an external image link
    from documentation.
  * New patch encoding.diff: update a pair of residual ISO-8859-1 glyphs
    to UTF-8.
  * Various lintian overrides for false positives.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 04 Jul 2020 10:55:08 -0700

xbae (4.60.4-7) unstable; urgency=medium

  * Apply patch for reproducible builds, courtesy of Chris Lamb.
    (Closes: #797871)
  * Update Standards-Version to 3.9.6, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 18 Oct 2015 10:52:03 -0700

xbae (4.60.4-6) unstable; urgency=medium

  * Use dh-autoreconf for support of new architectures.  Patch courtesy of
    Daniel T Chen.  (Closes: #736667)
  * Four tiny new patches fixing compiler warnings and code typos:
    - implicit-declaration.diff for examples/matrix/matrix.c
    - pointer-from-integer.diff for examples/tests/leak2.c
    - fix-row-label-buttons.diff for src/Actions.c , patch picked from
      <http://sourceforge.net/p/xbae/patches/2/>
    - build-failures.diff for doc/images/Makefile.am and configure.in,
      patch adapted in part from #736667 as well
  * Drop libtool-as-needed.diff in favor of dh_autoreconf --as-needed.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 09 Jun 2014 17:30:55 -0700

xbae (4.60.4-5) unstable; urgency=low

  * Upload to unstable, no other changes.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 24 Aug 2013 10:01:22 -0700

xbae (4.60.4-4) experimental; urgency=low

  * Upload to experimental.
  * Switch Build-Depends from lesstif to openmotif.  This change is ABI-
    incompatible; the runtime package has been changed to "libxbae4m" and
    is not co-installable with the older, lesstif-based libxbae4 to
    reflect this incompatibility and prevent mixed dependencies.
    (Closes: #366193)
  * Update LDFLAGS invocation for proper passing of hardening flags.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 21 Jul 2013 16:07:45 -0700

xbae (4.60.4-3) unstable; urgency=low

  * Add multiarch support.  Bump B-D on debhelper to version 9.
  * Update maintainer address.
  * Update to Standards-Version 3.9.3, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 25 Feb 2012 15:36:17 -0800

xbae (4.60.4-2) unstable; urgency=low

  * Re-add Build-Depends on libxpm-dev.

 -- Nicholas Breen <nbreen@ofb.net>  Sun, 26 Jun 2011 11:13:10 -0700

xbae (4.60.4-1) unstable; urgency=low

  * Adopt the package.  (Closes: #359269)
  * New (well, at least new*er*) upstream release.  (Closes: #623204)
  * Convert to source format 3.0 and debhelper 8 rules.
  * patches/manpage-cleanup.diff: Collect several spelling and formatting
    fixes for the man pages.
  * patches/libtool-as-needed.diff: Allow conjoint use of libtool, the
    existing overly-broad upstream Makefile, and -Wl,--as-needed.  See
    <http://bugs.debian.org/347650> for the patch and discussion.
  * Remove unneeded .la file.

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 25 Jun 2011 13:30:16 -0700

xbae (4.60.2-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 01 Nov 2009 19:50:32 +0000

xbae (4.60.2-2) unstable; urgency=low

  * Added libxmu-dev build dependency.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 27 Mar 2006 16:32:07 +0200

xbae (4.60.2-1) unstable; urgency=low

  * Initial release Closes: #321213.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 12 Mar 2006 19:15:24 +0100
