=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_install:
	dh_install
	install -m644 $(CURDIR)/ac_find_xbae.m4 $(CURDIR)/debian/libxbae-dev/usr/share/aclocal
	install -m644 $(CURDIR)/ac_find_motif.m4 $(CURDIR)/debian/libxbae-dev/usr/share/aclocal
	rm -f $(CURDIR)/debian/libxbae-dev/usr/lib/libXbae.la
