=== debian/watch ===
version=4
http://sf.net/xbae/xbae-(.*)\.tar\.gz
